"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/flex.tsx
var flex_exports = {};
__export(flex_exports, {
  CFlex: () => CFlex
});
module.exports = __toCommonJS(flex_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_vue_system = require("@chakra-ui/vue-system");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue.isVNode)(s);
}
__name(_isSlot, "_isSlot");
var CFlex = (0, import_vue2.defineComponent)({
  name: "CFlex",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    align: [Object, String, Array],
    justify: [Object, String, Array],
    wrap: [Object, String, Array],
    direction: {
      type: [Object, String, Array],
      default: "row"
    },
    basis: [Object, String, Array],
    grow: [Object, String, Array],
    shrink: [Object, String, Array],
    size: String
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue2.reactive)({
      display: "flex",
      flexDirection: props.direction,
      alignItems: props.align,
      justifyContent: props.justify,
      flexWrap: props.wrap,
      flexBasis: props.basis,
      flexGrow: props.grow,
      flexShrink: props.shrink,
      h: props.size,
      w: props.size
    });
    return () => (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
      "as": props.as,
      "__label": "flex",
      "__css": styles
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CFlex
});
